/*
   Fichier genentete.h
   Auteur Bernard Chardonneau
*/

/* constante */

#ifndef szchemin
#include "szchemin.h"
#endif


/* prototypes des fonctions de la bibliothque genentete */

void errfatale (char *format, char *argument);
void recupdirenv (int nbarg, char *arg2);
void gen_mes_id (FILE *ficentete, long numail, char *adr_exped);
void ajout_date (char *nomfic);
void fusionner (char *entete, long numail, char *message);
void ajout_sign (char *message);
void charge_carnet_adr ();
void lire_exped ();
void choixdest (char *motcle);
long choix_numail ();
void majnumail (long numail);
void affligne (int numlig);
void ajout_adr (char *destin, char *motcle);


/* variables globales  l'application utilises par genentete
   (pour viter des tonnes de passages de paramtres) */

#ifdef appli
     FILE *fdest;            // descripteur du fichier mail gnr (message)
     char direnv [szchemin]; // rpertoire des fichiers mail  envoyer
     int  ajouts;            // indique si l'on a dj ajout des destinataires
#else
     extern FILE *fdest;
     extern char direnv [szchemin];
     extern int  ajouts;

#ifndef decl_fmail
     FILE *fmail;         // descripteur du fichier mail
#endif

#endif
